desync(1)

NAME
desync-mount-index - FUSE mount an index file

SYNOPSIS
desync mount-index <index> <mountpoint> [flags]

DESCRIPTION
FUSE mount of the blob in the index file. It makes the (single) file in the index available for read access. Use 'extract' if the goal is to assemble the whole blob locally as that is more efficient. Use '-' to read the index from STDIN.

When a Copy-on-Read file is given (with --cor-file), the file is used as a fast cache. All chunks that are accessed by the mount are retrieved from the store and written into the file as read operations are performed. Once all chunks have been accessed, the COR file is fully populated. If --cor-state-save is given, a state file is written on termination (and on SIGHUP) containing information about which chunks of the index have or have not been read. A state file is only valid for one cache file and one index. When re-using it with a different index, data corruption can occur.

This command supports the --store-file option which can be used to define the stores and caches in a JSON file. The config can then be reloaded by sending a SIGHUP without having to unmount and remount. This can be done under load as well.

OPTIONS
--ca-cert=""
    trust authorities in this file, instead of OS trust store

-c, --cache=""
    store to be used as cache

-r, --cache-repair[=true]
    replace invalid chunks in the cache from source

--client-cert=""
    path to client certificate for TLS authentication

--client-key=""
    path to client key for TLS authentication

-n, --concurrency=10
    number of concurrent goroutines

--cor-file=""
    use a copy-on-read sparse file as cache

--cor-init-n=10
    number of goroutines to use for initialization (with --cor-state-init)

--cor-state-init=""
    state file to initialize the copy-on-read cache from

--cor-state-save=""
    file to store the copy-on-read state in on exit or SIGHUP

-e, --error-retry=3
    number of times to retry in case of network error

-b, --error-retry-base-interval=500ms
    initial retry delay, increases linearly with each subsequent attempt

-h, --help[=false]
    help for mount-index

-s, --store=[]
    source store(s)

--store-file=""
    read store arguments from a file, supports reload on SIGHUP

-t, --trust-insecure[=false]
    trust invalid certificates

OPTIONS INHERITED FROM PARENT COMMANDS
--config=""
    config file (default $HOME/.config/desync/config.json)

--digest="sha512-256"
    digest algorithm, sha512-256 or sha256

--verbose[=false]
    verbose mode

EXAMPLE
      desync mount-index -s http://192.168.1.1/ file.caibx /mnt/blob
      desync mount-index -s /path/to/store --cor-file /var/tmp/blob.cor blob.caibx /mnt/blob

SEE ALSO
desync(1)

HISTORY
6-Sep-2026 Auto generated by spf13/cobra